<p align="center">
	<img src="https://baer.works/image/MMRA-marquee.png" alt="Make Medium Readable Again" />
</p>

<p align="center">
	<a href="https://chrome.google.com/webstore/detail/kljjfejkagofbgklifblndjelgabcmig"><img src="https://baer.works/image/CWS.png" alt="Available in the Chrome Web Store" /></a>
	<a href="https://addons.mozilla.org/addon/make-medium-readable-again/"><img src="https://baer.works/image/AMO.png" alt="Get the Firefox Add-on" /></a>
	<a href="https://safari-extensions.apple.com/details/?id=com.abunchtell.mmra-TPPAB4YBA6"><img src="https://baer.works/image/safari.png" alt="Get the Safari Extension" /></a>
</p>

<p align="center">
    <a href="https://chrome.google.com/webstore/detail/kljjfejkagofbgklifblndjelgabcmig"><img src="https://img.shields.io/chrome-web-store/v/kljjfejkagofbgklifblndjelgabcmig.svg?logo=google%20chrome&label=Chrome" alt="Available in the Chrome Web Store" /></a>
    <a href="https://addons.mozilla.org/addon/make-medium-readable-again"><img src="https://img.shields.io/amo/v/make-medium-readable-again.svg?logo=mozilla%20firefox&label=Firefox" alt="Get the Firefox Add-on" /></a>
</p>

<hr />

Make Medium Readable Again is a [Chrome extension](https://chrome.google.com/webstore/detail/kljjfejkagofbgklifblndjelgabcmig), [Firefox add-on](https://addons.mozilla.org/addon/make-medium-readable-again/) and [Safari extension](https://safari-extensions.apple.com/details/?id=com.abunchtell.mmra-TPPAB4YBA6) that improves a reading experience ruined by user engagement tactics. Medium was actually readable once; this extension aims to help people pay attention to writers' words again instead of Medium's UX.

### Improves readability by

* Keeping the top navigation bar from sticking around
* Hiding the bottom "Get Updates" bar completely
* Shrinking massive header images
* Hiding "posts meter" bar and Upgrade header button
* Hiding "Open in App" button on mobile
* Blocking the "pardon the interruption" popup
* (Optionally) hiding the clap / share bar
* (Optionally) loading all post images up front, instead of lazy loading as you scroll
* (Optionally) disabling the popup menu that appears when selecting text

### Preview

_Unreadable Medium_
<kbd>![Medium: unreadable](before.png)</kbd>

_Medium Made Readable Again_
<kbd>![Medium Made Readable Again](after.png)</kbd>

### Contributing

Want to improve something? Please do! Send a pull request or file an issue!

### License

MIT

### Credits

I'm Matt Baer, and I'm tired of annoying, user-hostile software. Inspired by this and a time when Medium was more readable, I built a writing platform called [Write.as](https://write.as) that [works great if you never sign up](https://write.as/new), [lets you read](https://read.write.as), and leaves out the comments, claps, and [dickbars](https://daringfireball.net/2017/06/medium_dickbars). It's perfect for when you just need to get your thoughts out — and if you want to share, you can always cross-post to Medium.

### Disclaimer regarding extension permissions
This extension requires access to all websites in order to make Medium articles on publications with different domain names than https://medium.com also readable.

### Related

Other extensions to make the internet less annoying:

* [Make Facebook Browsable](https://github.com/thebaer/MFbB)
